Home//Tickets
Tickets
Introduction
Changelog (v2.14)
Intercom API
Admins
AI Content
Articles
Away Status Reasons
Calls
Companies
Contacts
Conversations
Custom Object Instances
Data Attributes
Data Events
Data Export
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Messages
News
Notes
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Visitors
Models
You can reply to a ticket with a message from an admin or on behalf of a contact, or with a note for admins.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
One of:
One of:
Payload of the request to reply on behalf of a contact using their intercom_user_id
The time the reply was created. If not provided, the current time will be used.
Example:1590000000
A list of image URLs that will be added as attachments. You can include up to 10 URLs.
The quick reply selection the contact wishes to respond with. These map to buttons displayed in the Messenger UI if sent by a bot, or the reply options sent by an Admin via the API.
- The production API serverhttps://api.intercom.io/tickets/{id}/reply
- The european API serverhttps://api.eu.intercom.io/tickets/{id}/reply
- The australian API serverhttps://api.au.intercom.io/tickets/{id}/reply
- Contact Reply on ticket
- Admin Reply on ticket
- User reply
- Admin note reply
- Admin note reply with cross-post to linked conversations
- Admin quick_reply reply
- Not found
curl -i -X POST \
https://api.intercom.io/tickets/123/reply \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.14' \
-d '{
"message_type": "comment",
"type": "user",
"intercom_user_id": "6762f2971bb69f9f2193bc49",
"body": "Thanks again :)"
}'Admin Reply to send Quick Reply Options
Response
- Admin note reply
- Admin quick_reply reply
{ "type": "ticket_part", "id": "156", "part_type": "note", "body": "<h2>An Unordered HTML List</h2>\n<ul>\n<li>Coffee</li>\n<li>Tea</li>\n<li>Milk</li>\n</ul>\n<h2>An Ordered HTML List</h2>\n<ol>\n<li>Coffee</li>\n<li>Tea</li>\n<li>Milk</li>\n</ol>", "created_at": 1734537884, "updated_at": 1734537884, "author": { "id": "991267943", "type": "admin", "name": "Ciaran419 Lee", "email": "admin419@email.com" }, "attachments": [], "redacted": false, "app_package_code": "test-integration" }